#### <font color = "MediumSeaGreen">Задачи:</font>
1. Интегрировать поддержку 3ф ИБП в контроллер 6709mts и 6712 (с внешним датчиком температуры и влажности) для поставки в МТС.
	[[Galleon II Galleon III 3 phase V02.pdf]]
	[[Galleon II-33-10K-60K-Rack_DS.PDF]]
	[[Galleon II 3phase 10-40K UM.PDF]]
2.   Интегрировать поддержку ИБП нового типа для Билайн в контроллеры 6709 или 6711v1. Протокол базируется на стандартном Megateс.
	[[MEGA 通讯协议.pdf]]
<h4>6711</h4> 
- [ ] Убрать добавление “v1” к модели ИБП
<h4>6711v1</h4> 
- [ ] Сбрасывать ошибку 13, сейчас сбрасываются 12 и 41. Ошибка 13 возникает в момент перегрева.
- [ ] После возникновения режима Fault проверять код ошибки. Выяснилось, что ИБП обновляет код ошибки. Необходимо переносить это изменение в журнал.
- [x] Проверить работу RTC в високосный год, сейчас в журнале выглядит вот так:
<h6>Итоги</h6>
1. В вопросу RTC исправил функцию:
```c++
void TM_RTC_GetDateTimeFromUnix(TM_RTC_t* data, uint32_t unix)
```
<h6>Вопросы</h6>
1. Где "v1" в модели ИБП 6711?
2. Как реагировать на ошибку 0x13. Не вижу, чтобы сейчас она отслеживалась.
3.  Что такое режим Fault и как он определяется?
#### <font color = "MediumSeaGreen">Общее:</font>
* Проект ==bt-67xx_universal_hw==
* IP устройства по умолчанию 192.168.0.254
* login/pas - admin/12345	
#### <font color = "MediumSeaGreen">Сборка/отладка:</font>

**Сборка:**
* Опция DEBUG=0 включает защиту flash памяти контроллера.
* Релиз выпускается с DEBUG=0
```bash
$ make HARDWARE=bt6711_v1 VERBOSE=1 DEBUG=1 PRINTF=custom MAC=EC-4C-4D-00-78-89 CROSS="/home/dtelenkov/soft/tools/Sourcery_CodeBench_Lite_for_ARM_EABI/bin/arm-none-eabi"
```
**Подключение:**
```bash
$ make openocd_ups
```
**Отладка:**
```bash
$ arm-none-eabi-gdb -x .gdbinit_bt6711_v1
```
**Снять защиту от чтения:**
```bash
openocd -f interface/stlink.cfg -f target/stm32f4x.cfg -c "init; reset halt; stm32f4x unlock 0; reset halt; exit"
```
