
##### <font color = "#1D8571">RabbitSVC SVN</font>
Решение проблемы с постоянной авторизацией:
```bash
$ sudo add-apt-repository ppa:philippun/stuff
$ sudo apt update
$ sudo apt install python3-svn
```
##### <font color = "#1D8571">Сеть</font>
Сканирование сети:
```bash
$ sudo arp-scan --interface=eno1 --localnet
```
Добавить сетевой интерфейс
```bash
sudo ifconfig eno1:1 192.168.24.30
```
##### <font color = "#1D8571">О системе</font>
https://losst.pro/sbor-informatsii-o-sisteme-ubuntu
```bash
$ hostnamectl # версия ОС, ядра
$ cat /proc/cpuinfo
$ lsb_release -a
$ uname -a # версия ядра
$ df -h # место на дисках
```
##### <font color = "#1D8571">Полезное</font>
```bash
$ obsidian & # запуск программы в фоне
$ ctrl + l # очистка экрана
```
<h4>Утилиты</h4>
**xxd** - вывод содержимого файлов в hex и bin форматах
```bash
$ xxd my_file.txt
$ xxd -с 1 -b my_file.txt 
# -b - выводит в двоичном формате
# -c 1 - вывод по одному символу
# -p - убрать справочную информацию
$ xxd -r -p file_in file_out # обратное преобразование
```
<h4>Командная строка</h4>
<h6>Создание и удаление</h6>
```bash
$ true > file.txt # создает пустой файл
$ echo "hello world" > file.txt # создает файл и пишет строку 
$ touch {1..50} # создает 50 файлов с именами от 1 до 50
$ mkdir -p folder1/folder2/folder3 # создает вложенные директории
$ mkdir -p folder1/{folder2, folder3}/folder4 # второй способ
$ ls -R folder1 # рекурсивные вывод содержимого
$ tree folder1
$ echo ?.txt # выведет имена файлов только с 1 символом
$ # ? - это только один символ
$ touch user_{ivan, akex, petr}.txt #  создает 3 файлв с именами по шаблону
$ echo now is $(date) # вывод результата команды через $
$ rm *.txt # удаляет файлы по маске
```
<h6>Разное</h6>
```bash
$ du -sh /usr/bin # вывод размера директории /usr/bin
$ du -sh /usr/bin/* # вывод размера всех нескрытых файлов в /usr/bin
$ du -sh /usr/bin/* | sort -h | less # сортировка по размеру файлов
$ !du # команда du выполнится с предыдущими аргументами
$ cd - # Вернуться в предыдущую директорию
$ wc -l # считает количество строк переданных команде wc
$ export # выводит переменные окружения
$ export EDITOR=nano # установка переменной окружения
$ export "export EDITOR=nano" >> ~./bashrc # установить текстовый редактор по умолчанию
````
<h6>История команд</h6>
```bash
$ history # выводит историю команд
$ history | less # листать историю команд
$ !25 # выполнить команду под номером 25
$ !! # повтороить предыдущую команду
$ 
```
<h6>Редактирование команд</h6>
```bash
$ ctrl + a # переход в начало строки
$ ctrl + e # переход в конец строки
$ ctrl + w # удаление по словам
```
<h6>Потоки ввода/вывода</h6>
```bash
$ echo hello world > 1.txt
$ echo new line >> 1.txt # дозаписать файл
$ cat 1.txt 2.txt > 3.txt # поместить содержимое двух файлов в третий
$ tac 3.txt # выводит файл в обратном порядке
$ ls nonexistent_file 2> 4.txt # перенаправить поток ошибок stderr в файл
$ ls nonexistet_file &> 4.txt # оба потока stdout и  stderr в файл
$ cat < 1.txt # передача в stdin
$ ls -la | tee output.txt # сохранит вывод ls в файл output.txt 
```
<h6>Пользователи</h6>
```bash
$ whoami # выводи имя пользователя
$ cd # переход в домашнюю директорию пользователя

```
